local playerManager_module = require("modules/game/playerManager")
local inventoryManager_module = require("modules/game/inventoryManager")
local itemManager_module = require("modules/game/itemManager")

return {
	["use"] = function(_, playerID, itemValues)
		-- get weapon item id
		local weaponInvID = playerManager_module.getWeaponEquip(playerID)
		if weaponInvID == 0 then
			return
		end
		local playerInvID = playerManager_module.getInventoryID(playerID)
		local weaponItemID = inventoryManager_module.getitemID(playerInvID, weaponInvID)
		-- set variable
		local itemAmmo = itemManager_module.getVariable(weaponItemID, "ammo")
		if not itemAmmo then
			return
		end
		itemAmmo = itemAmmo + tonumber(itemValues[1])
		itemManager_module.setVariable(weaponItemID, "ammo", itemAmmo)
		-- destroy item
		return 0
	end
}